#
#		Python GUI - Images - Generic
#

from Files import FileRef
from ImageBases import ImageBase

class Image(ImageBase):
    """Class Image represents an RGB or RGBA image.
    
    Constructors:
      Image(file = FileRef or pathname)
    """
    
    def __init__(self, file):
        if isinstance(file, FileRef):
            file = file.path
        self._init_from_file(file)
